
package w83a.w83aBeans;

import java.io.Serializable;
import java.sql.ResultSet;

import w83a.util.jdbc.W83aDataBase;
import w83a.w83aDAO.w83aConstantesBD.W83aBaseBeanBD;

import w83a.w83aDAO.w83aConstantesBD.W83aUsuariosBD;

public class W83AUsuarioBean extends W83aBaseBean implements W83aBaseBeanBD, Serializable {

	private static final long serialVersionUID = 6558110952810203015L;

	private String oidUsuario;
	private String nombreUsuario;
	private String dniUsuario;
	private String mail;
	private String organizacion;
	private String fechaAlta;
	private String borrado;
	private String fechaBaja;
	private String identificadorPerfilUsuario;
	private String perfilUsuarioCast;
	private String perfilUsuarioEus;
	private String idDelegacion;
	private String delegacion;
	private String telefono;
	private String descSindi;
	private String apellido1;
	private String apellido2;
	private String descTerritorio;
	
	
	public String getTelefono() {
		return telefono;
	}

	public void setTelefono(String telefono) {
		this.telefono = telefono;
	}

	public W83AUsuarioBean () {
		
	}

	public W83AUsuarioBean(int idUsuario, String nombre, String Dni, 
			String organizacion ,String email,int idPerfilUsuario, int delegacion,
			int borrado, String fechaBaja,String fechaAlta,String perUsuCast,String perUsuEus, int telefono){
		
		this.oidUsuario=Integer.toString(idUsuario);
		this.nombreUsuario=nombre;
		this.dniUsuario=Dni;
		this.mail=email;
		this.organizacion=organizacion;
		this.borrado=Integer.toString(borrado);
		this.fechaBaja=fechaBaja;
		this.idDelegacion=Integer.toString(delegacion);
		this.identificadorPerfilUsuario=Integer.toString(idPerfilUsuario);
		this.fechaAlta=fechaAlta;
		this.perfilUsuarioCast=perUsuCast;
		this.perfilUsuarioEus=perUsuEus;
		this.telefono=Integer.toString(telefono);
	}
	
	public String getBorrado() {
		return this.borrado;
	}

	public void setBorrado(String borrado) {
		this.borrado = borrado;
	}

	public String getDelegacion() {
		return this.delegacion;
	}

	public void setDelegacion(String delegacion) {
		this.delegacion = delegacion;
	}

	public String getDniUsuario() {
		return this.dniUsuario;
	}

	public void setDniUsuario(String dniUsuario) {
		this.dniUsuario = dniUsuario;
	}

	public String getFechaAlta() {
		return this.fechaAlta;
	}

	public void setFechaAlta(String fechaAlta) {
		this.fechaAlta = fechaAlta;
	}

	public String getFechaBaja() {
		return this.fechaBaja;
	}

	public void setFechaBaja(String fechaBaja) {
		this.fechaBaja = fechaBaja;
	}

	public String getIdDelegacion() {
		return this.idDelegacion;
	}

	public void setIdDelegacion(String idDelegacion) {
		if("1".equals(idDelegacion)){
			this.idDelegacion = "0"+idDelegacion;
		}else{
			this.idDelegacion = idDelegacion;
		}
	}

	public String getIdentificadorPerfilUsuario() {
		return this.identificadorPerfilUsuario;
	}

	public void setIdentificadorPerfilUsuario(String identificadorPerfilUsuario) {
		this.identificadorPerfilUsuario = identificadorPerfilUsuario;
	}

	public String getMail() {
		return this.mail;
	}

	public void setMail(String mail) {
		this.mail = mail;
	}

	public String getNombreUsuario() {
		return this.nombreUsuario;
	}

	public void setNombreUsuario(String nombreUsuario) {
		this.nombreUsuario = nombreUsuario;
	}

	public String getOidUsuario() {
		return this.oidUsuario;
	}

	public void setOidUsuario(String oidUsuario) {
		this.oidUsuario = oidUsuario;
	}

	public String getOrganizacion() {
		return this.organizacion;
	}

	public void setOrganizacion(String organizacion) {
		this.organizacion = organizacion;
	}

	

	public String getPerfilUsuarioCast() {
		return perfilUsuarioCast;
	}

	public void setPerfilUsuarioCast(String perfilUsuarioCast) {
		this.perfilUsuarioCast = perfilUsuarioCast;
	}

	public String getPerfilUsuarioEus() {
		return perfilUsuarioEus;
	}

	public void setPerfilUsuarioEus(String perfilUsuarioEus) {
		this.perfilUsuarioEus = perfilUsuarioEus;
	}
	
	
	
	public String getDescSindi() {
		return descSindi;
	}

	public void setDescSindi(String descSindi) {
		this.descSindi = descSindi;
	}
	

	public String getApellido1() {
		return apellido1;
	}

	public void setApellido1(String apellido1) {
		this.apellido1 = apellido1;
	}

	public String getApellido2() {
		return apellido2;
	}

	public void setApellido2(String apellido2) {
		this.apellido2 = apellido2;
	}

	public String getDescTerritorio() {
		return descTerritorio;
	}

	public void setDescTerritorio(String descTerritorio) {
		this.descTerritorio = descTerritorio;
	}

	/**
	 * rowToBean.
	 * 
	 * @param o the new baja
	 * @param otrosValores the new baja
	 * @return Object the new baja
	 * @throws Exception the exception
	 */
	public Object rowToBean(Object o, Object otrosValores) throws Exception {
		// TODO Auto-generated method stub
		ResultSet rs = (ResultSet)o;//NOPMD
		this.dniUsuario = W83aDataBase.getStringFromRS(rs, W83aUsuariosBD.dni);
		this.idDelegacion = W83aDataBase.getStringFromRS(rs, W83aUsuariosBD.territorio);
		this.nombreUsuario = W83aDataBase.getStringFromRS(rs, W83aUsuariosBD.nombre);
		this.apellido1 = W83aDataBase.getStringFromRS(rs, W83aUsuariosBD.apellido1);
		this.apellido2 = W83aDataBase.getStringFromRS(rs, W83aUsuariosBD.apellido2);
		//this.territorio = W83aDataBase.getStringFromRS(rs, W83aUsuariosBD.apellido1);
		//this.numPreavisos = W83aDataBase.getStringFromRS(rs, W83aUsuariosBD.apellido2);
		this.mail = W83aDataBase.getStringFromRS(rs, W83aUsuariosBD.email);
		this.fechaAlta = W83aDataBase.getStringFromRS(rs, W83aUsuariosBD.fechaAlta);
		this.fechaBaja = W83aDataBase.getStringFromRS(rs, W83aUsuariosBD.fechaBaja);
		this.telefono = W83aDataBase.getStringFromRS(rs, W83aUsuariosBD.telefono);
		this.organizacion = W83aDataBase.getStringFromRS(rs, W83aUsuariosBD.codSindi);
		this.identificadorPerfilUsuario = W83aDataBase.getStringFromRS(rs, W83aUsuariosBD.rol);
		this.descTerritorio = W83aDataBase.getStringFromRS(rs, W83aUsuariosBD.descProvincia);
		
		
		return this;
	}
	


}